using System;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IMessageService
    {
        int GetUnReadMessageCount(Guid doctorId);
        IResponseOutput DeleteSysMessage(Guid messageId);
        IResponseOutput MarkedAsRead(Guid messageId);

        PageOutput<SysMessageDTO> GetMessageList(Guid doctorId, int pageSize, int pageIndex);
    }
}